Bug 1312896 - Update vm quota with name instead of Id does not work
Update vm quota with name instead of Id does not work
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: RestAPI (Show other bugs)
3.6.3.3
x86_64 Linux
unspecified Severity low (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Doron Fediuck
Pavel Stehlik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 08:26 EST by Artyom
Modified: 2016-04-06 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 07:37:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dfediuck: ovirt‑4.0.0?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Artyom 2016-02-29 08:26:44 EST
Description of problem:
When I update vm quota with:
<vm>
  <quota><name>quota_name</name></quota>
</vm>
Request succeed and show me 200, but vm stay with old quota.

Version-Release number of selected component (if applicable):
rhevm-restapi-3.6.3.2-0.1.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Change datacenter quota mode to audit
2. Choose quota test for vm
3. Try to change vm quota to test_1 via REST
<vm>
  <quota><name>test_1</name></quota>
</vm>

Actual results:
REST return status 200, but vm stay with old quota test

Expected results:
REST return status 200 and vm has quota test_1

Additional info:
same for vm disk
Comment 1 Juan Hernández 2016-02-29 09:40:32 EST
I'm lowering the severity because this isn't a bug, but an enhancement. The quota name is just completely ignored, only the id is taken into account for this kind of updates.
Comment 2 Red Hat Bugzilla Rules Engine 2016-03-20 06:04:12 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 3 Doron Fediuck 2016-04-06 07:37:30 EDT
Closing old issues based on capacity.
Please re-open only if relevant and needed.

Note You need to log in before you can comment on or make changes to this bug.